OGRE: Ogre::EdgeListBuilder Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::EdgeListBuilder Class Reference
Core » Math

General utility class for building edge lists for geometry. More...

`#include <OgreEdgeListBuilder.h>`

## Public Member Functions
| EdgeListBuilder ()
void | addIndexData (const IndexData *indexData, size_t vertexSet=0, RenderOperation::OperationType opType=RenderOperation::OT_TRIANGLE_LIST)
| Add a set of index geometry data to the edge builder.
void | addVertexData (const VertexData *vertexData)
| Add a set of vertex geometry data to the edge builder.
EdgeData * | build (void)
| Builds the edge information based on the information built up so far.
void | log (Log *l)
| Debugging method.

## Detailed Description

General utility class for building edge lists for geometry.

You can add multiple sets of vertex and index data to build and edge list. Edges will be built between the various sets as well as within sets; this allows you to use a model which is built from multiple SubMeshes each using separate index and (optionally) vertex data and still get the same connectivity information. It's important to note that the indexes for the edge will be constrained to a single vertex buffer though (this is required in order to render the edge).

## Constructor & Destructor Documentation

## ◆ EdgeListBuilder()

Ogre::EdgeListBuilder::EdgeListBuilder | ( |  | ) |

## Member Function Documentation

## ◆ addVertexData()

void Ogre::EdgeListBuilder::addVertexData | ( | const VertexData * | vertexData | ) |

Add a set of vertex geometry data to the edge builder.

You must add at least one set of vertex data to the builder before invoking the build method.

## ◆ addIndexData()

void Ogre::EdgeListBuilder::addIndexData | ( | const IndexData * | indexData,
|  | size_t | vertexSet = 0,
|  | RenderOperation::OperationType | opType = RenderOperation::OT_TRIANGLE_LIST )

Add a set of index geometry data to the edge builder.

You must add at least one set of index data to the builder before invoking the build method.

Parameters

  indexData | The index information which describes the triangles.
  vertexSet | The vertex data set this index data refers to; you only need to alter this if you have added multiple sets of vertices
  opType | The operation type used to render these indexes. Only triangle types are supported (no point or line types)

References Ogre::RenderOperation::OT_TRIANGLE_LIST.

## ◆ build()

EdgeData * Ogre::EdgeListBuilder::build | ( | void |  | ) |

Builds the edge information based on the information built up so far.

The caller takes responsibility for deleting the returned structure.

## ◆ log()

void Ogre::EdgeListBuilder::log | ( | Log * | l | ) |

Debugging method.

The documentation for this class was generated from the following file:

- OgreEdgeListBuilder.h